# Makefile for DEC C compilers.
#
.first
	def LIBSDL []
        set def [.AUDIO]
        $(mms)
        set def [-.CDROM]
        $(mms)
        set def [-.CPUINFO]
        $(mms)
        set def [-.EVENTS]
        $(mms)
        set def [-.FILE]
        $(mms)
        set def [-.JOYSTICK]
        $(mms)
        set def [-.LOADSO]
        $(mms)
        set def [-.MAIN]
        $(mms)
        set def [-.TIMER]
        $(mms)
        set def [-.VIDEO]
        $(mms)/ign=warn
        set def [-.STDLIB]
        $(mms)
        set def [-.THREAD]
        $(mms)
        set def [-]
CC=cc

CFLAGS = /NOWARN /INCLUDE=([],[-.include], [.THREAD], [.VIDEO], [.THREAD.GENERIC], X11:) /DEFINE=(HAVE_CONFIG_H) /DEB /FLOAT=IEEE \
/OPTIMIZE=(INLINE=SPEED)

OBJ = sdl.obj,sdl_error.obj,sdl_fatal.obj

ALL : sdl$shr.exe
	COPY sdl$shr.exe SYS$SHARE:


sdl$shr.exe : libsdl.olb
        LINK/SHARE=sdl$shr.exe [.MAIN.DUMMY]sdl_dummy_main,[]libsdl/OPT,[]libsdl$def/OPT 

sdl.obj : sdl.c
	$(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_error.obj : sdl_error.c
	$(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_fatal.obj : sdl_fatal.c
	$(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

libsdl.olb : $(OBJ)
        LIB/CREA []libsdl.olb $(OBJ)

CLEAN : 
	DEL [...]*.obj;*
	DEL [...]*.olb;*
	DEL [...]*.exe;*


